Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class XMLResourceDescriptor

    java.lang.Object
      org.apache.batik.util.XMLResourceDescriptor

    public class XMLResourceDescriptor

extends Object

This class describes the XML resources needed to use the various batik modules.

Field Summary
`static String` | `CSS_PARSER_CLASS_NAME_KEY` The CSS parser class name key.
`protected static String` | `cssParserClassName` The class name of the CSS parser to use.
`protected static Properties` | `parserProps` The resource bundle
`static String` | `RESOURCES` The resources file name
`static String` | `XML_PARSER_CLASS_NAME_KEY` The XML parser class name key.
`protected static String` | `xmlParserClassName` The class name of the XML parser to use.

Constructor Summary
`XMLResourceDescriptor()`

Method Summary
`static String` | `getCSSParserClassName()` Returns the class name of the CSS parser to use.
`protected static Properties` | `getParserProps()`
`static String` | `getXMLParserClassName()` Returns the class name of the XML parser to use.
`static void` | `setCSSParserClassName(String cssParserClassName)` Sets the class name of the CSS parser to use.
`static void` | `setXMLParserClassName(String xmlParserClassName)` Sets the class name of the XML parser to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_PARSER_CLASS_NAME_KEY

    public static final String XML_PARSER_CLASS_NAME_KEY

  The XML parser class name key.

  See Also:
    Constant Field Values

### CSS_PARSER_CLASS_NAME_KEY

    public static final String CSS_PARSER_CLASS_NAME_KEY

  The CSS parser class name key.

  See Also:
    Constant Field Values

### RESOURCES

    public static final String RESOURCES

  The resources file name

  See Also:
    Constant Field Values

### parserProps

    protected static Properties parserProps

  The resource bundle

### xmlParserClassName

    protected static String xmlParserClassName

  The class name of the XML parser to use.

### cssParserClassName

    protected static String cssParserClassName

  The class name of the CSS parser to use.

Constructor Detail

### XMLResourceDescriptor

    public XMLResourceDescriptor()

Method Detail

### getParserProps

    protected static Properties getParserProps()

### getXMLParserClassName

    public static String getXMLParserClassName()

  Returns the class name of the XML parser to use.

  This method first checks if any XML parser has been specified using the `setXMLParserClassName` method. If any, this method will return the value of the property 'org.xml.sax.driver' specified in the `resources/XMLResourceDescriptor.properties` resource file.

### setXMLParserClassName

    public static void setXMLParserClassName(String xmlParserClassName)

  Sets the class name of the XML parser to use.

  Parameters:
    `xmlParserClassName` - the classname of the XML parser

### getCSSParserClassName

    public static String getCSSParserClassName()

  Returns the class name of the CSS parser to use.

  This method first checks if any CSS parser has been specified using the `setCSSParserClassName` method. If any, this method will return the value of the property 'org.w3c.css.sac.driver' specified in the `resources/XMLResourceDescriptor.properties` resource file.

### setCSSParserClassName

    public static void setCSSParserClassName(String cssParserClassName)

  Sets the class name of the CSS parser to use.

  Parameters:
    `cssParserClassName` - the classname of the CSS parser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.